#include <QGuiApplication>
#include <QQmlApplicationEngine>

#include <QtQml>
#include "imageProcessor.h"
#include <QQuickItem>
#include <QDebug>

int main(int argc, char *argv[])
{
#if defined(Q_OS_WIN)
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
#endif

    QGuiApplication app(argc, argv);
    //将c++中定义的类给接过来,在这个定义中，ImageProcessor是c++中函数名，GO.ImageProcessor是你在qml中使用的名称
    qmlRegisterType<ImageProcessor>("GO.ImageProcessor", 1, 0,"ImageProcessor");

    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
    if (engine.rootObjects().isEmpty())
        return -1;

    return app.exec();
}
